Index: /branches/qt_gui/src/lib/gui/gui_element.cc
===================================================================
--- /branches/qt_gui/src/lib/gui/gui_element.cc	(revision 7479)
+++ /branches/qt_gui/src/lib/gui/gui_element.cc	(revision 7480)
@@ -28,5 +28,5 @@
    */
   GuiElement::GuiElement (const std::string& name)
-  : GuiSaveableGroup(name)
+  : SaveableGroup(name)
   {
     //this->mainWidget = NULL;
Index: /branches/qt_gui/src/lib/gui/gui_element.h
===================================================================
--- /branches/qt_gui/src/lib/gui/gui_element.h	(revision 7479)
+++ /branches/qt_gui/src/lib/gui/gui_element.h	(revision 7480)
@@ -15,5 +15,5 @@
 
   //! A SuperClass for all the Different GuiElements
-  class GuiElement : public GuiSaveableGroup
+  class GuiElement : public SaveableGroup
   {
 
Index: /branches/qt_gui/src/lib/gui/gui_saveable.cc
===================================================================
--- /branches/qt_gui/src/lib/gui/gui_saveable.cc	(revision 7479)
+++ /branches/qt_gui/src/lib/gui/gui_saveable.cc	(revision 7480)
@@ -24,5 +24,5 @@
    * standard constructor
   */
-  GuiSaveable::GuiSaveable (const std::string& optionName)
+  Saveable::Saveable (const std::string& optionName)
   : BaseObject(optionName)
   {
@@ -35,5 +35,5 @@
    * standard deconstructor
   */
-  GuiSaveable::~GuiSaveable ()
+  Saveable::~Saveable ()
   {
     // delete what has to be deleted here
@@ -41,5 +41,5 @@
 
 
-  void GuiSaveable::makeSaveable()
+  void Saveable::makeSaveable()
   {
     this->bSaveable = true;
@@ -48,6 +48,6 @@
 
 
-  GuiSaveableGroup::GuiSaveableGroup(const std::string& groupName)
-      : GuiSaveable(groupName)
+  SaveableGroup::SaveableGroup(const std::string& groupName)
+      : Saveable(groupName)
   {
   }
@@ -56,7 +56,7 @@
 
 
-  GuiSaveableGroup::~GuiSaveableGroup()
+  SaveableGroup::~SaveableGroup()
   {
-    std::vector<GuiSaveableGroup*>::iterator delGroup = std::find(saveableGroups.begin(), saveableGroups.end(), this);
+    std::vector<SaveableGroup*>::iterator delGroup = std::find(saveableGroups.begin(), saveableGroups.end(), this);
 
     if (delGroup != saveableGroups.end() )
@@ -64,9 +64,9 @@
   }
 
-  std::vector<GuiSaveableGroup*>  GuiSaveableGroup::saveableGroups;
+  std::vector<SaveableGroup*>  SaveableGroup::saveableGroups;
 
-  void GuiSaveableGroup::makingElementSaveable()
+  void SaveableGroup::makingElementSaveable()
   {
-    GuiSaveableGroup::saveableGroups.push_back(this);
+    SaveableGroup::saveableGroups.push_back(this);
   }
 
Index: /branches/qt_gui/src/lib/gui/gui_saveable.h
===================================================================
--- /branches/qt_gui/src/lib/gui/gui_saveable.h	(revision 7479)
+++ /branches/qt_gui/src/lib/gui/gui_saveable.h	(revision 7480)
@@ -15,8 +15,8 @@
 {
   //! A class for ...
-  class GuiSaveable : public BaseObject
+  class Saveable : public BaseObject
   {
   public:
-    virtual ~GuiSaveable();
+    virtual ~Saveable();
 
     void makeSaveable();
@@ -30,5 +30,5 @@
 
   protected:
-    GuiSaveable(const std::string& optionName);
+    Saveable(const std::string& optionName);
     virtual void makingElementSaveable() {};
 
@@ -40,19 +40,19 @@
 
 
-  class GuiSaveableGroup : public GuiSaveable
+  class SaveableGroup : public Saveable
   {
   public:
-    virtual ~GuiSaveableGroup();
+    virtual ~SaveableGroup();
 
-    void addSaveable(GuiSaveable* saveable);
-    void removeSaveable(GuiSaveable* saveable);
+    void addSaveable(Saveable* saveable);
+    void removeSaveable(Saveable* saveable);
 
   protected:
-    GuiSaveableGroup(const std::string& name);
+    SaveableGroup(const std::string& name);
     virtual void makingElementSaveable();
 
   private:
-    std::vector<GuiSaveable*>              saveables;
-    static std::vector<GuiSaveableGroup*>  saveableGroups;
+    std::vector<Saveable*>              saveables;
+    static std::vector<SaveableGroup*>  saveableGroups;
   };
 
Index: /branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc
===================================================================
--- /branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc	(revision 7479)
+++ /branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc	(revision 7480)
@@ -19,5 +19,6 @@
 
 #include <qapplication.h>
-
+#include <qgroupbox.h>
+#include <qlayout.h>
 
 namespace OrxGui
@@ -28,4 +29,13 @@
 
     this->mainWindow = new QMainWindow();
+
+
+    QGroupBox* groupBox = new QGroupBox;
+    QGridLayout* mainLayout = new QGridLayout(groupBox);
+
+
+
+
+    this->mainWindow->setCentralWidget(groupBox);
     this->mainWindow->show();
 
@@ -37,5 +47,5 @@
   QtGui::~QtGui()
   {
-
+    delete this->mainWindow;
   }
 
